using MusicMetaTagger.Client.AllMusicGuide.RemoteDataAccess.Scraper;
using NUnit.Framework;

namespace MusicMetaTagger.Client.AllMusicGuide.Tests.RemoteDataAccess.Scraper
{
	[TestFixture]
	class AlbumScraperTests
	{
		[Test, Explicit]
		public void ScrapeTest()
		{
			var loadedAlbumInfo = new AlbumScraper().Scrape("r1525");

			Assert.AreEqual("Abbey Road", loadedAlbumInfo.Title);
			Assert.AreEqual("September 26, 1969", loadedAlbumInfo.ReleaseDate);
			Assert.AreEqual("The Beatles", loadedAlbumInfo.ArtistName);
		}
	}
}
